
// POV file by Andrew Cherry

#declare c=clock

#debug "\n+----------------------------------------------+\n"
#debug concat("| ANIMATION SEQUENCE IS",str((clock*100),6,1)," PERCENT FINISHED |                 <-- AC")
#debug "\n+----------------------------------------------+\n\n"

#declare R1=seed(666)

#include "colors.inc"	// Standard Color definitions
#include "textures.inc"	// Standard Texture definitions
#include "CHARS.INC"   // FIXME-add comments describing each of these
#include "CONSTS.INC"
#include "METALS.INC"
#include "SHAPES.INC"
#include "SHAPES2.INC"
#include "SHAPESQ.INC"
#include "SKIES.INC"
#include "STONES.INC"
#include "STONES2.INC"
#include "WOODMAPS.INC"
#include "WOODS.INC"

camera
{
  location  <2 , 5 , 5>
  look_at   <0 , 0 , 0>
}

light_source { <10,20,30> color White }

//-----------------------------------------------------------------------------------------------------------------------------


#declare woodtex = texture {
                    pigment {
                     wood
                     color_map {M_Wood1A}
                     scale .25
                     turbulence .1
                     rotate <89,0,1>
                    }
                    finish {}
                   }
#declare stonetex = texture {pigment {Gray} finish {phong .75 crand .25} }

difference {
box {
  <-1.5, -1, -1>
  < 1.5,  1,  1>
texture {stonetex}
}
cylinder { <0,0,-1.5>, <0,0,1.5>, .35 texture {stonetex scale .5} }
cylinder { <-1.5, 1, 1>, < 1.5, 1, 1>, .2 texture {stonetex scale .5} }
cylinder { <-1.5,-1, 1>, < 1.5,-1, 1>, .2 texture {stonetex scale .5} }
cylinder { <-1.5,-1,-1>, < 1.5,-1,-1>, .2 texture {stonetex scale .5} }
cylinder { <-1.5, 1,-1>, < 1.5, 1,-1>, .2 texture {stonetex scale .5} }
cylinder { <-1.5, 1, 1>, <-1.5,-1, 1>, .2 texture {stonetex scale .5} }
cylinder { <-1.5,-1, 1>, <-1.5,-1,-1>, .2 texture {stonetex scale .5} }
cylinder { <-1.5,-1,-1>, <-1.5, 1,-1>, .2 texture {stonetex scale .5} }
cylinder { <-1.5, 1,-1>, <-1.5, 1, 1>, .2 texture {stonetex scale .5} }
cylinder { < 1.5, 1, 1>, < 1.5,-1, 1>, .2 texture {stonetex scale .5} }
cylinder { < 1.5,-1, 1>, < 1.5,-1,-1>, .2 texture {stonetex scale .5} }
cylinder { < 1.5,-1,-1>, < 1.5, 1,-1>, .2 texture {stonetex scale .5} }
cylinder { < 1.5, 1,-1>, < 1.5, 1, 1>, .2 texture {stonetex scale .5} }
sphere { <-1.5,-1, 1>, .2 texture {stonetex scale .5} }
sphere { <-1.5,-1,-1>, .2 texture {stonetex scale .5} }
sphere { <-1.5, 1, 1>, .2 texture {stonetex scale .5} }
sphere { <-1.5, 1,-1>, .2 texture {stonetex scale .5} }
sphere { < 1.5,-1, 1>, .2 texture {stonetex scale .5} }
sphere { < 1.5,-1,-1>, .2 texture {stonetex scale .5} }
sphere { < 1.5, 1, 1>, .2 texture {stonetex scale .5} }
sphere { < 1.5, 1,-1>, .2 texture {stonetex scale .5} }
}

cylinder
{ <0,0,-1.5>, <0,0,5>, (1/3) texture {woodtex scale .5} }
cone
{ <0,0,-2>, 0, <0,0,-1.25>, (1/3) texture {woodtex scale .5} }
